/**************************
 * (C) 2013 Kelley Hecker *
 *  All rights reserved   *
 **************************/

// Stores caterpillar segments and direction. Adds and moves segments and 
// changes direction.

#ifndef CATERPILLAR_H
#define CATERPILLAR_H

#include <vector>
#include "Structures.h"

using namespace std;

enum Direction {
	UP, DOWN, LEFT, RIGHT
};

class Caterpillar {
private:
	vector<GridPoint> segments;
	GridPoint lastTailPosition;
	Direction currentDirection;
	int numPossibleColors;
	int lastColor;

public:
	// Constructor
	Caterpillar(int headX, int headY, int possibleColors);

	// Accessors
	vector<GridPoint> GetSegments();
	GridPoint GetSegment(int index);
	Direction GetDirection();

	// Modifiers
	void AddSegment();
	void MoveSegments();
	void ChangeDirection(Direction newDir);
	void Reset(int headX, int headY);
};

#endif