/**************************
 * (C) 2013 Kelley Hecker *
 *  All rights reserved   *
 **************************/

// Entry point of the application. Handles all game logic and openGL/GLUT calls.

#ifndef GAME_CONTROLLER_H
#define GAME_CONTROLLER_H

enum State {
	MAIN_MENU, GAME, GAME_OVER
};

// Initialization
void InitializeView(int width, int height);
void InitializeOpenGL();

// Game logic
void MainMenuLoop();
void GameMainLoop();
void GameOver();
void ResetGame();

// OpenGL display functions
void DrawMainMenu(int letterPosition);
void DrawGame();
void DrawGameOver();
void EmptyDisplayCallback();
float GetLineWidth(string text, int startIndex, int endIndex);

// Input handlers
void CheckKeyboardInput(unsigned char key, int x, int y);
void CheckArrowInput(int key, int x, int y);

#endif