/**************************
 * (C) 2013 Kelley Hecker *
 *  All rights reserved   *
 **************************/

// Parameters of the game.

#ifndef PARAMETERS_H
#define PARAMETERS_H

#include "Structures.h"

using namespace std;

// Number of grid spaces traversed per seconds.
static const int FPS = 10;

// Dimensions
static const int PIXEL_WIDTH = 500;
static const int PIXEL_HEIGHT = 500;
static const int GRID_WIDTH = 25;
static const int GRID_HEIGHT = 25;

// Colors
static const Color BACKGROUND_COLOR = Color(179/255.0f, 222/255.0f, 255/255.0f, 1.0f);
static const Color ANTENNA_COLOR = Color(177/255.0f, 107/255.0f, 37/255.0f, 1.0f);
static const Color TEXT_COLOR = Color(237/255.0f, 143/255.0f, 183/255.0f, 1.0f);

static Color SEGMENT_COLORS[] = {Color(245/255.0f, 241/255.0f, 84/255.0f, 1.0f), 
								Color(237/255.0f, 143/255.0f, 183/255.0f, 1.0f), 
								Color(103/255.0f, 247/255.0f, 87/255.0f, 1.0f)};
static const int NUM_SEGMENT_COLORS = 3;

static Color TARGET_COLORS[] = {Color(224/255.0f, 5/255.0f, 38/255.0f, 1.0f),
							Color(58/255.0f, 171/255.0f, 75/255.0f, 1.0f)};
static const int NUM_TARGET_COLORS = 2;

// Parameters for drawing segments and targets.
static const int CIRCLE_SEGMENTS = 6;
static const float SEGMENT_SCALE = 1.0f;
static const float TARGET_SCALE = 0.5f;

// Strings
static const string TITLE = "CATERPILLAR";
static const string INSTRUCTIONS = "Use arrow keys to move\nEat fruits to gain points\nDon't hit the walls or yourself";
static const string START = "Press SPACE to start";
static const string GAME_OVER_STRING = "GAME OVER";
static const string SCORE = "Score: ";
static const string RESTART = "Press SPACE to play again\nPress ESC to exit";

#endif