/**************************
 * (C) 2013 Kelley Hecker *
 *  All rights reserved   *
 **************************/

// Definitions of custom structs.

#ifndef STRUCTURES_H
#define STRUCTURES_H

// Color with red, green, blue and alpha values between 0 and 1.
struct Color {
	float r;
	float g;
	float b;
	float a;

	Color(float _r, float _g, float _b, float _a) { r = _r; g = _g; b = _b; a = _a; }
};

// A point to be drawn with openGL. X, Y, width and height are between 0 and 1. 
// Color index corresponds to a color in the color array.
struct Sprite {
	float pixelX, pixelY;
	float pixelWidth, pixelHeight;
	int colorIndex;

	Sprite(float x, float y, float width, float height, int c) { pixelX = x; pixelY = y; 
		pixelWidth = width; pixelHeight = height; colorIndex = c; }
};

// A point on the grid. Color index corresponds to a color in the color array.
struct GridPoint {
	int x, y;
	int colorIndex;

	GridPoint(int _x = 0, int _y = 0, int c = 0) { x = _x; y = _y; colorIndex = c; };
};

#endif